import { Client } from 'ts-linker-sdk';
export interface WebSocketClientStatus {
    created: boolean;
    connected: boolean;
    login: boolean;
}
export interface WebSocketResp {
    value: object | string;
}
export declare type ListenerCallback = (data: WebSocketResp) => void;
export declare class WebSocketClient {
    client: Client;
    interval: number;
    wsUrl: string;
    token: string;
    sid: string;
    chatToken: object;
    status: WebSocketClientStatus;
    constructor(wsUrl: string, token: string, sid: string, chatToken: object);
    init(): Promise<{}>;
    getStatus(): WebSocketClientStatus;
    create(): Promise<{}>;
    on(url: string, callback: (data: WebSocketResp) => void): void;
    off(url: string): void;
    request(url: string, data: object): Promise<import("ts-linker-sdk/dist/types/types").WebSocketResp>;
    connect(): Promise<import("ts-linker-sdk/dist/types/types").WebSocketResp>;
    ping(): Promise<import("ts-linker-sdk/dist/types/types").WebSocketResp>;
    authentication(): Promise<import("ts-linker-sdk/dist/types/types").WebSocketResp>;
    onMessage(callback: ListenerCallback): Promise<void>;
    sendMessage(data: object): Promise<import("ts-linker-sdk/dist/types/types").WebSocketResp>;
    markServiced(data: object): Promise<import("ts-linker-sdk/dist/types/types").WebSocketResp>;
    getHistoryMessage(data: object): Promise<import("ts-linker-sdk/dist/types/types").WebSocketResp>;
}
